<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class OrderProduct extends Model
{
    public $timestamps = false;
    /**
     * Get the product of order.
     */
    public function products()
    {
        return $this->belongsTo('App\Product','product_id','id');
    }
    public function OrderProductCategories()
    {
        return $this->hasMany('App\OrderProductCategory','order_product_id','id');
    }
    public function order_sales_points()
    {
        return $this->hasMany('App\SoPoint', 'detail_id','order_id');
    }
}
